Package org.wso2.carbon.wsdl2code.stub

## Interface WSDL2CodeService

- All Known Implementing Classes:
    `WSDL2CodeServiceStub`

      public interface WSDL2CodeService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CodegenDownloadData` | `codegen​(String[] options3)` | Auto generated method signature
    `CodegenDownloadData` | `codegenForCXF​(String[] options7)` | Auto generated method signature
    `void` | `startcodegen​(String[] options3, WSDL2CodeServiceCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `void` | `startcodegenForCXF​(String[] options7, WSDL2CodeServiceCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations

- - ### Method Detail

    - #### codegen

          CodegenDownloadData codegen​(String[] options3)
                               throws RemoteException

      Auto generated method signature
      Parameters:
        `codegen2` -
      Throws:
        `RemoteException`

    - #### startcodegen

          void startcodegen​(String[] options3,
                            WSDL2CodeServiceCallbackHandler callback)
                     throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `codegen2` -
      Throws:
        `RemoteException`

    - #### codegenForCXF

          CodegenDownloadData codegenForCXF​(String[] options7)
                                     throws RemoteException

      Auto generated method signature
      Parameters:
        `codegenForCXF6` -
      Throws:
        `RemoteException`

    - #### startcodegenForCXF

          void startcodegenForCXF​(String[] options7,
                                  WSDL2CodeServiceCallbackHandler callback)
                           throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `codegenForCXF6` -
      Throws:
        `RemoteException`